package sample;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class CreateStoredProcedure {

    public static void main(String[] args) {
        //
        String sql = "DELIMITER $$ CREATE PROCEDURE get_skill(IN candidate_id INT) BEGIN" +
                " SELECT candidates.id, first_name,last_name, skills.name AS skill " +
                "FROM candidates " +
                " INNER JOIN candidate_skills ON candidates.id = candidate_skills.candidate_id " +
                "INNER JOIN skills ON skills.id = candidate_skills.skill_id " +
                " WHERE candidates.id = candidate_id; " +
                "    END$$ " +
                "DELIMITER ;";

        try (Connection conn = MySQLJDBCUtil.getConnection();
             Statement stmt = conn.createStatement();
             ResultSet rs = stmt.executeQuery(sql)) {

        } catch (SQLException ex) {
            System.out.println(ex.getMessage());
        }
    }
}
